org.apache.fop.render.ps.extensions

## Class PSCommentAfterElement

- java.lang.Object
- - org.apache.fop.fo.FONode
  - - org.apache.fop.render.ps.extensions.AbstractPSExtensionElement
    - - org.apache.fop.render.ps.extensions.AbstractPSCommentElement
      - - org.apache.fop.render.ps.extensions.PSCommentAfterElement

- All Implemented Interfaces:
    java.lang.Cloneable

      public class PSCommentAfterElement
      extends AbstractPSCommentElement

  Comment after element

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.fo.FONode

      `FONode.FONodeIterator, FONode.GatherContextInfoFunction`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `ELEMENT` the element name

    - ### Fields inherited from class org.apache.fop.render.ps.extensions.AbstractPSExtensionElement

      `attachment`

    - ### Fields inherited from class org.apache.fop.fo.FONode

      `FO_URI, FOX_URI, locator, log, nodeChangeBarList, parent, siblings, startOfNodeChangeBarList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PSCommentAfterElement(FONode parent)` Main constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLocalName()` Returns the local name (i.e.
    `protected ExtensionAttachment` | `instantiateExtensionAttachment()` Instantiates extension attachment object

    - ### Methods inherited from class org.apache.fop.render.ps.extensions.AbstractPSCommentElement

      `startOfNode`

    - ### Methods inherited from class org.apache.fop.render.ps.extensions.AbstractPSExtensionElement

      `characters, endOfNode, getExtensionAttachment, getNamespaceURI, getNormalNamespacePrefix, validateChildNode`

    - ### Methods inherited from class org.apache.fop.fo.FONode

      `addCharacters, addChildNode, attachSiblings, bind, canHaveMarkers, charIterator, clone, clone, collectDelimitedTextRanges, collectDelimitedTextRanges, createPropertyList, decorateWithContextInfo, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChangeBarList, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getFOEventHandler, getFOValidationEventProducer, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodePrefix, getNodeString, getParent, getRoot, getStructureTreeElement, getUserAgent, inMarker, invalidChildError, invalidChildError, invalidPropertyValueError, isBidiRangeBlockItem, isChangeBarElement, isDelimitedTextRangeBoundary, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, notSupportedChildError, processNode, removeChild, setLocator, setStructureTreeElement, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, warningText`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELEMENT

          protected static final java.lang.String ELEMENT

      the element name
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PSCommentAfterElement

          public PSCommentAfterElement(FONode parent)

      Main constructor
      Parameters:
        `parent` - node

  - ### Method Detail

    - #### getLocalName

          public java.lang.String getLocalName()

      Description copied from class: `FONode`
      Returns the local name (i.e. without namespace prefix) of the node
      Specified by:
        `getLocalName` in class `FONode`
      Returns:
        local name
      See Also:
        `FONode.getLocalName()`

    - #### instantiateExtensionAttachment

          protected ExtensionAttachment instantiateExtensionAttachment()

      Description copied from class: `AbstractPSExtensionElement`
      Instantiates extension attachment object
      Specified by:
        `instantiateExtensionAttachment` in class `AbstractPSExtensionElement`
      Returns:
        instance of its extension attachment object
      See Also:
        `#instantiateExtensionAttachment()`

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.